Commit 53e365c0 authored by Dries's avatar Dries
Browse files

- Patch #368006 by deviantintegral, lisarex: module incompatibility message was confusing.

parent dce07ab3
......@@ -1014,7 +1014,7 @@ function _system_modules_build_row($info, $extra) {
if (!isset($info['core']) || $info['core'] != DRUPAL_CORE_COMPATIBILITY || empty($info['files'])) {
$compatible = FALSE;
$status_short .= t('Incompatible with this version of Drupal core. ');
$status_long .= t('This version is incompatible with the !core_version version of Drupal core. ', array('!core_version' => VERSION));
$status_long .= t('This version is not compatible with Drupal !core_version and should be replaced.', array('!core_version' => DRUPAL_CORE_COMPATIBILITY));
}
// Ensure this module is compatible with the currently installed version of PHP.
......@@ -2633,7 +2633,7 @@ function theme_system_themes_page($variables) {
// Make sure to provide feedback on compatibility.
if (!empty($theme->incompatible_core)) {
$output .= '<div class="incompatible">' . t('This version is incompatible with the !core_version version of Drupal core.', array('!core_version' => VERSION)) . '</div>';
$output .= '<div class="incompatible">' . t('This version is not compatible with Drupal !core_version and should be replaced.', array('!core_version' => DRUPAL_CORE_COMPATIBILITY)) . '</div>';
}
elseif (!empty($theme->incompatible_php)) {
if (substr_count($theme->info['php'], '.') < 2) {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment